## agedu 20211129.8cd63c5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(agedu LANGUAGES C)

if(NOT CMAKE_SYSTEM_NAME MATCHES "Windows")
  # On Unix, build the main agedu program.

  set(AGEDU_IPV6 ON
    CACHE BOOL "Build agedu with IPv6 support if possible")
  set(AGEDU_IPV4 ON
    CACHE BOOL "Build agedu with IPv4 support if possible")

  add_executable(agedu
    agedu.c du.c alloc.c trie.c index.c html.c httpd.c
    fgetline.c licence.c dumpfile.c)

  include(CheckIncludeFile)
  check_include_file(arpa/inet.h HAVE_ARPA_INET_H)
  check_include_file(assert.h HAVE_ASSERT_H)
  check_include_file(ctype.h HAVE_CTYPE_H)
  check_include_file(dirent.h HAVE_DIRENT_H)
  check_include_file(errno.h HAVE_ERRNO_H)
  check_include_file(fcntl.h HAVE_FCNTL_H)
  check_include_file(features.h HAVE_FEATURES_H)
  check_include_file(fnmatch.h HAVE_FNMATCH_H)
  check_include_file(limits.h HAVE_LIMITS_H)
  check_include_file(ndir.h HAVE_NDIR_H)
  check_include_file(netdb.h HAVE_NETDB_H)
  check_include_file(netinet/in.h HAVE_NETINET_IN_H)
  check_include_file(pwd.h HAVE_PWD_H)
  check_include_file(stdarg.h HAVE_STDARG_H)
  check_include_file(stdbool.h HAVE_STDBOOL_H)
  check_include_file(stddef.h HAVE_STDDEF_H)
  check_include_file(stdint.h HAVE_STDINT_H)
  check_include_file(stdio.h HAVE_STDIO_H)
  check_include_file(stdlib.h HAVE_STDLIB_H)
  check_include_file(string.h HAVE_STRING_H)
  check_include_file(sys/dir.h HAVE_SYS_DIR_H)
  check_include_file(sys/ioctl.h HAVE_SYS_IOCTL_H)
  check_include_file(sys/mman.h HAVE_SYS_MMAN_H)
  check_include_file(sys/ndir.h HAVE_SYS_NDIR_H)
  check_include_file(sys/select.h HAVE_SYS_SELECT_H)
  check_include_file(sys/socket.h HAVE_SYS_SOCKET_H)
  check_include_file(sys/stat.h HAVE_SYS_STAT_H)
  check_include_file(sys/types.h HAVE_SYS_TYPES_H)
  check_include_file(sys/wait.h HAVE_SYS_WAIT_H)
  check_include_file(syslog.h HAVE_SYSLOG_H)
  check_include_file(termios.h HAVE_TERMIOS_H)
  check_include_file(time.h HAVE_TIME_H)
  check_include_file(unistd.h HAVE_UNISTD_H)

  include(CheckSymbolExists)
  check_symbol_exists(fdopendir "sys/types.h;dirent.h" HAVE_FDOPENDIR)
  check_symbol_exists(getaddrinfo "sys/types.h;sys/socket.h;netdb.h"
    HAVE_GETADDRINFO)
  check_symbol_exists(gethostbyname "netdb.h" HAVE_GETHOSTBYNAME)
  check_symbol_exists(lstat64 "sys/types.h;sys/stat.h;unistd.h" HAVE_LSTAT64)
  check_symbol_exists(stat64 "sys/types.h;sys/stat.h;unistd.h" HAVE_STAT64)
  check_symbol_exists(strsignal "string.h" HAVE_STRSIGNAL)

  set(GENERATED_SOURCES_DIR ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY})
  include_directories(${GENERATED_SOURCES_DIR})
  configure_file(cmake.h.in ${GENERATED_SOURCES_DIR}/cmake.h)

  # If Halibut is available, build the docs too.
  find_program(HALIBUT halibut)
  if(HALIBUT)
    set(BUILD_MANPAGE ON)
    add_custom_command(OUTPUT agedu.1
      COMMAND ${HALIBUT} --man=agedu.1
        ${CMAKE_CURRENT_SOURCE_DIR}/agedu.but
      DEPENDS
        ${CMAKE_CURRENT_SOURCE_DIR}/agedu.but)
    add_custom_target(doc ALL DEPENDS agedu.1)
  else()
    set(BUILD_MANPAGE OFF)
  endif()

  # Installation
  include(GNUInstallDirs)
  if(CMAKE_VERSION VERSION_LESS 3.14)
    # CMake 3.13 and earlier required an explicit install destination.
    install(TARGETS agedu RUNTIME DESTINATION bin)
  else()
    # 3.14 and above selects a sensible default, which we should avoid
    # overriding here so that end users can override it using
    # CMAKE_INSTALL_BINDIR.
    install(TARGETS agedu)
  endif()

  if(BUILD_MANPAGE)
    install(FILES ${CMAKE_BINARY_DIR}/agedu.1
      DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
  elseif(EXISTS ${CMAKE_SOURCE_DIR}/agedu.1)
    # If we weren't able to build the man page from source, but we are
    # building from a source tarball in which a pre-built man page is
    # provided, we can install that.
    install(FILES ${CMAKE_SOURCE_DIR}/agedu.1
      DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
  endif()
endif()

if(CMAKE_SYSTEM_NAME MATCHES "Windows")
  # On Windows, build ageduscan.exe.

  add_compile_definitions(_CRT_SECURE_NO_WARNINGS)
  add_executable(ageduscan winscan.c)
endif()

## agedu 8928

=== debian/changelog ===
agedu (8928-1) unstable; urgency=low

  * Version bump to r8928
  * Switched to source format 3.0 (quilt)
  * Updated the Standards-Version to 3.8.4
  * Removed README.source
  * Cleanup of debian/rules

 -- Alexander Prinsier <aphexer@mailhaven.com>  Wed, 16 Jun 2010 12:33:13 +0200

agedu (8642-1) unstable; urgency=low

  * Updated to upstream revision 8642
  * Handle >4GB files (Closes: #537127)
  * Updated the Standards-Version to 3.8.3
  * Fixed the watch file

 -- Alexander Prinsier <aphexer@mailhaven.com>  Mon, 14 Sep 2009 16:03:20 +0200

agedu (8442-5) unstable; urgency=low

  * The manpage now uses a minus sign instead of a hyphen
    when referring to command line options.
  * Added an (empty) watch file
  * Updated the Standards-Version to 3.8.1
  * Replaced (C) by © in debian/copyright

 -- Alexander Prinsier <aphexer@mailhaven.com>  Fri, 29 May 2009 01:32:25 +0200

agedu (8442-4) unstable; urgency=low

  * Cleanup of debian/rules part 2

 -- Alexander Prinsier <aphexer@mailhaven.com>  Thu, 28 May 2009 12:44:51 +0200

agedu (8442-3) unstable; urgency=low

  * Cleanup of debian/rules

 -- Alexander Prinsier <aphexer@mailhaven.com>  Thu, 28 May 2009 12:22:18 +0200

agedu (8442-2) unstable; urgency=low

  * Use dh_prep instead of the deprecated dh_clean -k

 -- Alexander Prinsier <aphexer@mailhaven.com>  Wed, 27 May 2009 11:01:49 +0200

agedu (8442-1) unstable; urgency=low

  * Initial release (Closes: #530660)

 -- Alexander Prinsier <aphexer@mailhaven.com>  Tue, 26 May 2009 23:21:27 +0200

=== debian/control ===
Source: agedu
Section: utils
Priority: optional
Maintainer: Alexander Prinsier <aphexer@mailhaven.com>
Build-Depends: debhelper (>= 7.0.8), autotools-dev
Standards-Version: 3.8.4
Homepage: http://www.chiark.greenend.org.uk/~sgtatham/agedu/

Package: agedu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a Unix utility for tracking down wasted disk space
 Unix provides the standard du utility, which scans your disk and tells you
 which directories contain the largest amounts of data. That can help you
 narrow your search to the things most worth deleting.
 .
 However, that only tells you what's big. What you really want to know is
 what's too big. By itself, du won't let you distinguish between data that's
 big because you're doing something that needs it to be big, and data that's
 big because you unpacked it once and forgot about it.
 .
 To make this difference, agedu relies on the atime of the files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	# Add here commands to install the package into debian/agedu.
	$(MAKE) DESTDIR=$(CURDIR)/debian/agedu install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## agedu 9723

=== debian/changelog ===
agedu (9723-1) unstable; urgency=low

  * Version bump to r9723 (Closes: #698183)
  * Updated to Standards-Version 3.9.4
  * Simplification of debian/rules

 -- Alexander Prinsier <aphexer@mailhaven.com>  Sat, 29 Jun 2013 15:20:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Alexander Prinsier <aphexer@mailhaven.com>
-Build-Depends: debhelper (>= 7.0.8), autotools-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
+Standards-Version: 3.9.4
 Homepage: http://www.chiark.greenend.org.uk/~sgtatham/agedu/
 
 Package: agedu
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: a Unix utility for tracking down wasted disk space
+Description: Unix utility for tracking down wasted disk space
  Unix provides the standard du utility, which scans your disk and tells you
  which directories contain the largest amounts of data. That can help you
  narrow your search to the things most worth deleting.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with autotools-dev --with autoreconf

=== debian/watch ===
version=3

http://www.chiark.greenend.org.uk/~sgtatham/agedu/agedu-r([\d]+).tar.gz

## agedu 20211129.8cd63c5

=== debian/changelog ===
agedu (20211129.8cd63c5-1) unstable; urgency=low

  Debian packaging changes:
  * Versioning changed to follow upstream's new format
  * Version bump to 20211129.8cd63c5
  * Updated to Standards-Version 4.6.1
  * Updated watch file with new release naming convention
  * Machine readable copyright file
  * Enabled hardening=+all during build
  * Adapted debian/rules for cmake build system

  Upstream changes:
  * Various robustness enhancements
  * Pedantic changes to capitalisation of byte/kilobyte/megabyte etc (Closes:
    #611182)
  * Factor out dump-file handling (Closes: #715624)

 -- Alexander Prinsier <aphexer@mailhaven.com>  Thu, 07 Jul 2022 17:19:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Alexander Prinsier <aphexer@mailhaven.com>
-Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
-Standards-Version: 3.9.4
-Homepage: http://www.chiark.greenend.org.uk/~sgtatham/agedu/
+Build-Depends: debhelper-compat (= 13), halibut, cmake
+Standards-Version: 4.6.1
+Homepage: https://www.chiark.greenend.org.uk/~sgtatham/agedu/
+Rules-Requires-Root: no
 
 Package: agedu
 Architecture: any

=== debian/watch ===
version=4

opts="pgpmode=none" https://www.chiark.greenend.org.uk/~sgtatham/agedu/agedu-([\d]+).([a-zA-Z0-9]+).tar.gz
